SCRIPTREPLAY(1)

BEZEICHNUNG
scriptreplay - Eingabeskripte mit Timing-Informationen wiedergeben

ÜBERSICHT
scriptreplay [Optionen] [-t] Timing-Datei [Eingabeskript [Faktor]]

BESCHREIBUNG
Dieses Programm gibt ein Eingabeskript wieder und stellt über die Timing-Informationen sicher, dass die Ausgabe im gleichen Rhythmus wie bei der ursprünglichen Aufzeichnung des Skripts erfolgt.

Die Wiedergabe zeigt einfach die Informationen erneut an; die bei der Aufzeichnung des Eingabeskripts ausgeführten Programme werden nicht erneut aufgerufen. Da einfach die gleichen Informationen angezeigt werden, wird scriptreplay nur dann garantiert sauber funktionieren, wenn es auf dem gleichen Terminaltyp ausgeführt wird, auf dem das Eingabeskript aufgezeichnet wurde. Anderenfalls könnten im Eingabeskript enthaltene Maskierungszeichen von dem Terminal anders interpretiert werden, an welches scriptreplay seine Ausgabe sendet.

Die Timing-Informationen sind jene, die script(1) in die Standardfehlerausgabe schreibt, wenn es mit dem Parameter -t aufgerufen wird.

Standardmäßig wird angenommen, dass das anzuzeigende Eingabeskript als typescript benannt ist. Sie können als zweiten Parameter oder mit der Option -s jedoch auch andere Dateinamen angeben.

Wenn ein dritter Parameter angegeben wird, dann wird dieser als Multiplikator der Wiedergabegeschwindigkeit interpretiert. Beispielsweise bewirkt eine Geschwindigkeitsskalierung um den Faktor 2, dass scriptreplay doppelt so schnell wiedergibt, wogegen eine Skalierung um den Faktor 0.1 die Wiedergabe mit einem Zehntel der Originalgeschwindigkeit ablaufen lässt.

OPTIONEN
Die ersten drei Optionen setzen Argumente im klassischen Stil außer Kraft.

-t, --timing Datei
    gibt die Datei an, welche die Timing-Informationen von script enthält.

-s, --typescript Datei
    gibt die Datei an, welche die Terminal-Ausgabe von script enthält.

-d, --divisor Faktor
    skaliert die Wiedergabegeschwindigkeit um den angegebenen Faktor. Das Argument ist eine Gleitkommazahl.

-m, --maxdelay Anzahl
    gibt die maximale Verzögerung zwischen den Aktualisierungen des Skripts als Anzahl Sekunden an. Das Argument ist eine Gleitkommazahl. Damit können Sie lange Pausen in der Wiedergabe des Eingabeskripts vermeiden.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

BEISPIEL
% script --timing=file.tm script.out
Script started, file is script.out
% ls
<etc, etc>
% exit
Script done, file is script.out
% scriptreplay --timing file.tm --typescript script.out

SIEHE AUCH
script(1)

COPYRIGHT
Copyright © 2008 James Youngman
Copyright © 2008 Karel Zak

Dies ist freie Software, in den Quellen finden Sie die Bedingungen zur Weitergabe. Es gibt KEINE Garantie, auch nicht für die MARKTREIFE oder die TAUGLICHKEIT FÜR EINEN BESTIMMTEN ZWECK.

Veröffenticht unter der GNU General Public License Version 2 oder neuer.

AUTOR
Das ursprüngliche scriptreplay-Programm wurde von Joey Hess (joey@kitenet.net) geschrieben. Das Programm wurde in C von James Youngman (jay@gnu.org) und Karel Zak (kzak@redhat.com) neu geschrieben.

VERFÜGBARKEIT
Der Befehl scriptreplay ist Teil des Pakets util-linux, welches aus dem Linux Kernel-Archiv (https://www.kernel.org/pub/linux/utils/util-linux/) heruntergeladen werden kann.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.